#ifndef ExecuteHexDiagSeviceFunctional_H
#define ExecuteHexDiagSeviceFunctional_H

#include <Command.h>

#include "ComChannel.h"
#include <list>

namespace ProtoGenWrapper
{
	class ExecuteHexDiagSeviceFunctional : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ExecuteHexDiagSeviceFunctional(const ComChannel comChannel, const std::string hexRequest, const std::list<std::string> comChannelIdentifier);
		ExecuteHexDiagSeviceFunctional(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, std::string& hexRequest, std::list<std::string>& comChannelIdentifier);

		static int GetCommandType();
	};
}

#endif // ExecuteHexDiagSeviceFunctional_H
